67723: Acronis Cyber Protect: VM backup or running VM from backup fails with "The specified module could not be found" if Microsoft Visual C++ 2017 Redistributable is not installed with VMware VDDK 7.0

Last update: 31-05-2021

This article applies to:

  • Acronis Cyber Cloud C20.12
  • Acronis Cyber Protect 15 Update 1

Symptoms

  1. You install Agent for VMware (Windows) onto a Windows machine
  2. You configure this agent to connect to a vSphere 6.5+ environment: vCenter or ESXi host
  3. You try to run backup of a VMware vSphere virtual machine
  4. The backup fails the following error:

2020-11-24T14:48:13:908+03:00 5152 E00000001: Error 0x1: Cannot load the dynamic library.
| trace level: error
| line: 0x384a6390dfd2e5db
| file: e:\ab\core\common\win\shared_library_win.cpp:44
| function: `anonymous-namespace'::SharedLibraryWin::Load
| token: C:\Program Files\Common Files\Acronis\VirtualWare\VixDiskLib\7.0.1\bin\vim-types.dll
| $module: esx_srv_vsa64_20000
|
| error 0xfff0: The specified module could not be found
| line: 0xbd28fdbd64edb8f8
| file: e:\ab\core\common\error.cpp:314
| function: Common::Error::AddWindowsError
| code: 0x8007007e
| $module: esx_srv_vsa64_20000

 

OR

  1. You try to validate a VM backup by running the virtual machine from a disk-level backup
  2. Creating a virtual machine fails with
    Windows error: (0x8007007E) The specified module could not be found

Cause

Missing “Microsoft Visual C++ 2017 Redistributable” package which is required for VMware VDDK 7.0 to function properly.

Solution

Windows Server 2012 or Windows Server 2012 R2:

Download and install Update for Universal C Runtime in Windows on the server where Agent for VMware(Windows) is installed.

Windows 10 or Windows Server 2016:

Download and install “Microsoft Visual C++ 2017 Redistributable” package from the latest supported Visual C++ downloads on the machine where Agent for VMware(Windows) is installed.

More information

Our development team is working on including the “Microsoft Visual C++ 2017 Redistributable” package along with Agent for VMware (Windows) in future versions of Acronis software.

Acronis Agent for VMware (Windows) uses VMware VDDK 7.0 to work with VMware ESXi 6.5+ hosts.
VMware VDDK 7.0 supports installation onto Windows Server 2012 or higher (see VMware VDDK 7.0 release notes), therefore if you install Agent for VMware (Windows) onto lower Windows versions, then it will not be supported to work with VMware ESXi 6.5+ hosts.

Tags: